ROCM-QEMU-SETUP(1)

NAME
rocm-qemu-setup - rocm-qemu-setup

DESCRIPTION
This utility will look for AMD GPUs on the system, check whether the system is already configured for PCI pass-through, and suggest the appropriate measures if not.

If USER is given, then it will also check whether the given user has sufficient permissions to use PCI pass-through in non-privileged mode.

  Synopsis:

    bin/rocm-qemu-setup -h

    bin/rocm-qemu-setup [-u USER]

OPTIONS

-h  Show this help

-u USER Verify that USER has the necessary permissions and ulimits to use

    PCI pass-through together with QEMU.

EXAMPLES

    # Check whether root can use pass-through

    $ bin/rocm-qemu-setup

    # Check whether user 'someuser' can use pass-through

    $ bin/rocm-qemu-setup -u someuser